// ============================================================================
// ==                                                                        ==
// == AMDiS - Adaptive multidimensional simulations                          ==
// ==                                                                        ==
// ==  http://www.amdis-fem.org                                              ==
// ==                                                                        ==
// ============================================================================
//
// Software License for AMDiS
//
// Copyright (c) 2010 Dresden University of Technology 
// All rights reserved.
// Authors: Simon Vey, Thomas Witkowski et al.
//
// This file is part of AMDiS
//
// See also license.opensource.txt in the distribution.



/** \file Mtl4Solver.h */

#ifndef AMDIS_MTL4_SOLVER_H
#define AMDIS_MTL4_SOLVER_H

#include "ParallelProblemStatBase.h"

namespace AMDiS {

  class Mtl4Solver : public ParallelProblemStatBase
  {
  public:
    Mtl4Solver(std::string nameStr,
	       ProblemIterationInterface *problemIteration = NULL)
      : ParallelProblemStatBase(nameStr, problemIteration)
    {}

    
    ~Mtl4Solver()
    {}


    void solve(AdaptInfo *adaptInfo, bool fixedMatrix = false)
    {
      ERROR_EXIT("TO BE IMPLEMENTED!\n");
    }
  }

  typedef Mtl4Solver ParallelProblemStat;
}

#endif
